%define __strip %{_mingw64_strip}
%define __objdump %{_mingw64_objdump}
%define _use_internal_dependency_generator 0
%define __find_requires %{_mingw64_findrequires}
%define __find_provides %{_mingw64_findprovides}
%define __os_install_post %{_mingw64_install_post}

Name:           mingw64-runtime
Version:        1.0b.20100818
Release:        0
Summary:        MinGW-W64 runtime for win32

License:        Public Domain
Group:          Development/Libraries
URL:            http://www.mingw.org/
Source0:        http://dl.sourceforge.net/sourceforge/mingw-w64/mingw-w64-runtime-%{version}.tar.bz2
Source100:      %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
#!BuildIgnore: post-build-checks  

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-cross-binutils
BuildRequires:  mingw64-cross-gcc-bootstrap >= 4.4.0
BuildRequires:  mingw64-headers >= %{version}

# Once this is installed, mingw64-bootstrap (binary bootstrapper) is no
# longer needed.
Obsoletes:      mingw64-runtime-bootstrap


%description
MinGW Win64 cross-compiler runtime, base libraries.


%prep
%setup -q -n mingw-w64-runtime-%{version}

%build
./configure --host=%{_mingw64_target} --prefix=%{_prefix} --with-sysroot=%{_mingw64_sysroot} --disable-lib32 --enable-lib64
make 

%install
rm -rf $RPM_BUILD_ROOT

# The make install installs in %{_prefix}/%{_mingw64_target}/lib
# which is the wrong location.  Move it to %{_mingw64_libdir}.
mkdir -p  $RPM_BUILD_ROOT%{_mingw64_libdir}
mkdir -p  $RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}
ln -s  $RPM_BUILD_ROOT%{_mingw64_libdir}  $RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}/lib

make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_prefix}/%{_mingw64_target}/lib

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_mingw64_libdir}/*


%changelog
